//
// This file was generated by the Eclipse Implementation of JAXB, v3.0.0 
// See https://eclipse-ee4j.github.io/jaxb-ri 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.08.30 at 10:47:28 AM CEST 
//


package se.arbetsformedlingen.wsdl;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SUNField1 complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SUNField1"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="SUNField1ID" type="{http://www.w3.org/2001/XMLSchema}int"/&gt;
 *         &lt;element name="SUNField1Code" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="Term" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SUNField1", namespace = "urn:ams.se:Taxonomy", propOrder = {
    "sunField1ID",
    "sunField1Code",
    "term"
})
public class SUNField1 {

    @XmlElement(name = "SUNField1ID")
    protected int sunField1ID;
    @XmlElement(name = "SUNField1Code")
    protected String sunField1Code;
    @XmlElement(name = "Term")
    protected String term;

    /**
     * Gets the value of the sunField1ID property.
     * 
     */
    public int getSUNField1ID() {
        return sunField1ID;
    }

    /**
     * Sets the value of the sunField1ID property.
     * 
     */
    public void setSUNField1ID(int value) {
        this.sunField1ID = value;
    }

    /**
     * Gets the value of the sunField1Code property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSUNField1Code() {
        return sunField1Code;
    }

    /**
     * Sets the value of the sunField1Code property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSUNField1Code(String value) {
        this.sunField1Code = value;
    }

    /**
     * Gets the value of the term property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerm() {
        return term;
    }

    /**
     * Sets the value of the term property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerm(String value) {
        this.term = value;
    }

}
